* {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
}

body {
    background-color: var(--branco);
}

img,
svg {
    display: block;
    width: 100%;
    height: auto;
}

img {
    border-radius: 10px;
}

@font-face {
    font-family: roboto;
    src: url(font/RobotoFlex-VariableFont_GRAD\,XOPQ\,XTRA\,YOPQ\,YTAS\,YTDE\,YTFI\,YTLC\,YTUC\,opsz\,slnt\,wdth\,wght.ttf);
}

h1 {
    font-family: roboto;
    font-size: 72px;
    font-weight: 900;
    line-height: 74px;
}

h2 {
    font-family: roboto;
    font-size: 36px;
    font-weight: 500;
    line-height: 38px;
}

h3 {
    font-family: roboto;
    font-size: 22px;
    font-weight: 400;
    line-height: 32px;
}

p {
    font-family: roboto;
    font-size: 18px;
    font-weight: 400;
    line-height: 30px;
}

h6 {
    font-family: roboto;
    font-size: 14px;
    font-weight: 500;
    line-height: 22px;
}

:root {
    --preto: hsl(335, 100%, 7%);
    --branco: hsl(0, 20%, 98%);
    --cinza-200: hsl(334, 6%, 85%);
    --cinza-500: hsl(334, 5%, 65%);
    --cinza-700: hsl(335, 8%, 35%);
    --rosa-700: hsl(335, 90%, 35%);
    --rosa-200: hsl(335, 90%, 75%);
}

.grid {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    column-gap: 20px;
}

.max {
    width: 100%;
    max-width: 1280px;
    margin: 0 auto;
    padding: 0 17px;
}

header {
    margin: 0 0 160px 0;
}

#box1 {
    grid-column: 1/13;
    grid-row: 1;
    margin: 30px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 1000;
}

/* ver bts svg--------------------- */

#box1 a svg:hover path{
    fill: var(--rosa-700);
}

nav {
    width: 504px;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

nav a {
    text-decoration: none;
    text-align: center;
    font-family: roboto;
    font-size: 18px;
    font-weight: 600;
    line-height: 30px;
    color: var(--preto);
}

nav a:hover{
    color: var(--rosa-700);
}

header img {
    grid-column: 1/13;
    z-index: -100;
    grid-row: 1/3;
}

#titulo1 {
    grid-column: 1/8;
    margin: 0 0 30px 0;
    color: var(--preto);
}

#txt1 {
    grid-column: 1/7;
    margin: 0 0 120px 0;
    color: var(--preto);
}

#background {
    background-color: var(--rosa-700);
    margin: 0 0 412px 0;
}

#box3 {
    grid-column: 1/13;
    margin: 120px 0;
    color: var(--branco);
}

#box3 p {
    margin: 0 0 30px 0;
}

#box4 {
    grid-column: 1/7;
    color: var(--branco);
    margin: 0 0 370px 0;
}

#box4 p {
    margin: 0 0 30px 0;
}

#box5 {
    grid-column: 7/13;
    color: var(--branco);
}

#box5 p {
    margin: 0 0 30px 0;
}

#titulo2 {
    grid-column: 1/8;
    margin: 0 0 30px 0;
    color: var(--preto);
}

#txt2 {
    grid-column: 1/7;
    margin: 0 0 60px 0;
    color: var(--preto);
}

#img1 {
    grid-column: 1/8;
    grid-row: 3/5;
    margin: 0 0 26px 0;
}

#img2 {
    grid-column: 8/13;
    grid-row: 3/6;
    margin: 140px 0 0 0;
}

#img3 {
    grid-column: 3/8;
    margin: 0 0 240px 0;
}

#titulo3 {
    grid-column: 6/13;
    margin: 0 0 30px 0;
    color: var(--preto);
}

#txt3 {
    grid-column: 6/12;
    margin: 0 0 60px 0;
    color: var(--preto);
}

#background2 {
    background-color: var(--preto);
    margin: 0 0 240px 0;
}

#img4 {
    grid-column: 1/7;
    grid-row: 2/4;
}

#img5 {
    grid-column: 7/13;
    grid-row: 1/3;
    margin: 120px 0 26px 0;
}

#img8 {
    grid-column: 7/12;
    grid-row: 3/5;
    margin: 0 0 120px 0;
}

#box6 h1 {
    grid-column: 1/10;
    margin: 0 0 30px 0;
    color: var(--preto);
}

#box6 p {
    grid-column: 1/7;
    margin: 0 0 60px 0;
    color: var(--preto);
}

#img6 {
    grid-column: 1/13;
    margin: 0 0 180px 0;
}

#img7 {
    grid-column: 1/6;
    position: relative;
    top: 50%;
}

#background3 {
    background-color: var(--rosa-700);
    margin: 0 0 220px 0;
}

#box7 {
    color: var(--branco);
    padding: 434px 17px 0 17px;
}

#box7 h1 {
    grid-column: 1/10;
    margin: 0 0 30px 0;
}

#box7 p {
    grid-column: 1/6;
    margin: 0 0 60px 0;
}

#bt {
    grid-column: 1/6;
    padding: 30px 196px;
    margin: 0 0 30px 0;
    border-radius: 10px;
    color: var(--rosa-700);
    text-decoration: none;
    background-color: var(--branco);
    font-family: roboto;
    font-size: 22px;
    font-weight: 600;
    line-height: 32px;
}

#bt:hover {
    color: var(--branco);
    background-color: var(--rosa-200);
}

#box7 h6 {
    grid-column: 1/6;
    margin: 0 0 120px 0;
    color: var(--rosa-200);
}

#box7 h6 span a {
    color: var(--rosa-200);
}

#box7 h6 span a:hover {
    color: var(--branco);
}

#box8 h1 {
    grid-column: 5/9;
    margin: 0 0 120px 0;
    text-align: center;
    color: var(--preto);
}

#box8 div {
    grid-column: 1/13;
}

#box9 {
    grid-column: 1/13;
    margin: 0 0 60px 0;
    display: flex;
    justify-content: space-between;
}

#box9 div {
    width: 340px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#img9 {
    width: 294px;
}

#img10 {
    width: 220px;
}

#img11 {
    width: 301px;
}

#box8 a {
    grid-column: 5/9;
    padding: 30px 151px;
    margin: 0 0 380px 0;
    border-radius: 10px;
    color: var(--branco);
    text-decoration: none;
    background-color: var(--cinza-500);
    font-family: roboto;
    font-size: 22px;
    font-weight: 600;
    line-height: 32px;
}

#box8 a:hover {
    color: var(--rosa-200);
    background-color: var(--rosa-700);
}

footer {
    background-color: var(--rosa-700);
    padding: 72px 0;
    margin: 0 0 3px 0;
}

footer div {
    display: flex;
    justify-content: space-between;
}

footer div img {
    grid-column: 1/5;
}

#social {
    grid-column: 11/13;
    align-self: center;
}

/* ver btsssssssssss */

#social a svg:hover path {
    fill: var(--rosa-200);
}

#footer2 {
    padding: 30px 0;
    background-color: var(--preto);
    color: var(--branco);
}

#box10 {
    grid-column: 1/13;
    display: flex;
    justify-content: space-between;
}

/* -----------------------elevador------------------------- */

#elevador {
    position: fixed;
    right: 20px;
    bottom: 20px;
    z-index: 1000;
    display: none;
}

#elevador img {
    border-radius: 5px;
    width: 40px;
}

.mostrar_elevador{
    display: block !important;
}

#elevador:hover{
    cursor: pointer;
}

#elevador img{
    width: 40px;
}